%global srcname ownpaste

Name: python-ownpaste
Version: 0.2.2
Release: 1%{?dist}
Summary: A pastebin web application, designed to be used as a personal/private pastebin

License: BSD
URL: http://ownpaste.rtfd.org/    
Source0: https://pypi.python.org/packages/source/o/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch: noarch
BuildRequires:  python2-devel
Requires: python-flask python-flask-script python-flask-sqlalchemy python-jinja2 python-werkzeug python-pygments pytz python-migrate

%description
A simple private pastebin application, it provides a nice RESTful API, 
allowing the creation of cool clients, it can highlight your files nicely,
without the risk of get offline tomorrow due to spam issues looks like
a nice idea in this current scenario.


%prep
%setup -q -n %{srcname}-%{version}
sed -i '1{\@^#!/usr/bin/env python@d}' ownpaste/migrations/manage.py
find . -name '.keep' -exec rm -f {} \;

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT


%check
# N/A

%files
%doc docs README
%license LICENSE
%{python2_sitelib}/*
%{_bindir}/*


%changelog
* Fri Feb 19 2016 Athmane Madjoudj <athmane@fedoraproject.org> 0.2.2-1
- Initial spec.
